Bug 474509 - Ec lipse won't start- Unable to acquire application service
Ec lipse won't start- Unable to acquire application service
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 01:09 EST by Linuxguy123
Modified: 2008-12-08 11:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 11:15:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Eclipse.org installation file list (379.74 KB, text/plain)
2008-12-04 01:09 EST, Linuxguy123
no flags Details
List of yum install of /usr/lib/eclipse (84.24 KB, text/plain)
2008-12-04 01:14 EST, Linuxguy123
no flags Details
List of yum install in /usr/share/dropins (1.61 KB, text/plain)
2008-12-04 01:15 EST, Linuxguy123
no flags Details
Logfile (41.99 KB, text/plain)
2008-12-04 01:19 EST, Linuxguy123
no flags Details
Logfile (1.24 KB, text/plain)
2008-12-04 01:21 EST, Linuxguy123
no flags Details
Logfile (1.20 KB, text/plain)
2008-12-04 01:22 EST, Linuxguy123
no flags Details

  None (edit)
Description Linuxguy123 2008-12-04 01:09:47 EST
Created attachment 325643 [details]
Eclipse.org installation file list

Description of problem:

The yum installed Eclipse won't start on my computer.  Eclipse downloaded from Eclipse.org works fine.

Version-Release number of selected component (if applicable):

$ yum list eclipse\*
Loaded plugins: kmdl, priorities, refresh-packagekit
0 packages excluded due to repository priority protections
Installed Packages                                        
eclipse-cdt.i386                                     1:5.0.0-10.fc10                                    installed
eclipse-ecj.i386                                     1:3.4.1-5.fc10                                     installed
eclipse-platform.i386                                1:3.4.1-5.fc10                                     installed
eclipse-rcp.i386                                     1:3.4.1-5.fc10                                     installed
eclipse-swt.i386                                     1:3.4.1-5.fc10                                     installed

$ java -version
java version "1.6.0_10"
Java(TM) SE Runtime Environment (build 1.6.0_10-b33)
Java HotSpot(TM) Server VM (build 11.0-b15, mixed mode)

$ alternatives --config java

There are 4 programs which provide 'java'.

  Selection    Command
-----------------------------------------------
   1           /usr/java/jre1.5.0_15/bin/java
   2           /usr/lib/jvm/jre-1.5.0-gcj/bin/java
*  3           /usr/lib/jvm/jre-1.6.0-openjdk/bin/java
 + 4           /usr/java/jre1.6.0_10/bin/java

$ uname -a
Linux localhost.localdomain 2.6.27.5-117.fc10.i686 #1 SMP Tue Nov 18 12:19:59 EST 2008 i686 i686 i386 GNU/Linux

How reproducible:

I tried to install Eclipse via yum for 3 days without success.  I tried all the variations I could think of:

- only installing certain eclipse packages
- all 4 Java packages
- as user and root
- eclipse, eclipse -clean

The error message would change but it wouldn't start up.




Steps to Reproduce:

1. Install a few Javas.

2. yum remove eclipse\*  rm -rf /usr/lib/eclipse   rm -rf /usr/share/eclipse  rm -rf ~/.eclipse

3. yum install eclipse-cdt

4. run it with all the aforementioned combinations 

Actual results:

Splash screen will show and then a dialog will appear stating that Eclipse had an error and to consult the log file. 

Expected results:

It should just run. 

Additional info:

I ended up downloading Eclipse 3.4.0 from Eclipse.org.  It ran fine, no problem.  I downloaded all the packages I needed for my work and it continues to run fine.  The yum version still doesn't run.   

I'm including the file listing for my eclipse 3.4.1 installation as well as /usr/lib/eclipse and /usr/share/eclipse for the yum installation as well as two of the more common error messages.  The error messages seem to change depending
what version of Java is used. 

Let me know what else you need to troubleshoot this.
Comment 1 Linuxguy123 2008-12-04 01:14:28 EST
Created attachment 325644 [details]
List of yum install of /usr/lib/eclipse
Comment 2 Linuxguy123 2008-12-04 01:15:44 EST
Created attachment 325645 [details]
List of yum install in /usr/share/dropins
Comment 3 Linuxguy123 2008-12-04 01:19:18 EST
Created attachment 325646 [details]
Logfile
Comment 4 Linuxguy123 2008-12-04 01:21:00 EST
Created attachment 325647 [details]
Logfile
Comment 5 Linuxguy123 2008-12-04 01:22:26 EST
Created attachment 325648 [details]
Logfile
Comment 6 Linuxguy123 2008-12-04 01:24:25 EST
I included the dir listings in case this is a case of a missing file during installation.  Although my installation has a bunch more plugins installed, I find it interesting to look at the files and their versions with a diff tool.
Comment 7 Alexander Kurtakov 2008-12-04 05:14:31 EST
Can you start your eclipse with the following commant in console:
"eclipse -debug -consoleLog"
And post the output here so I can get a better idea what is going wrong for you.
Comment 8 Linuxguy123 2008-12-04 09:46:44 EST
$ eclipse -debug -consoleLog                                                                                                       
Start VM: -Xms40m                                                                                                                                     
-Xmx512m                                                                                                                                              
-XX:MaxPermSize=128m                                                                                                                                  
-XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith                                                              
-XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init>                                                 
-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate                                    
-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding                                                       
-XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile                                        
-XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles                                           
-Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins                                                                      
-Djava.class.path=/usr/lib/eclipse/plugins/org.eclipse.equinox.launcher_1.0.101.R34x_v20080819.jar                                                    
-os linux                                                                                                                                             
-ws gtk                                                                                                                                               
-arch x86                                                                                                                                             
-showsplash /usr/lib/eclipse//plugins/org.fedoraproject.ide.platform_3.4.1/splash.bmp                                                                 
-launcher /usr/lib/eclipse/eclipse                                                                                                                    
-name Eclipse                                                                                                                                         
--launcher.library /usr/lib/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.0.101.R34x_v20080805/eclipse_1115.so                         
-startup /usr/lib/eclipse/plugins/org.eclipse.equinox.launcher_1.0.101.R34x_v20080819.jar                                                             
-debug                                                                                                                                                
-consoleLog                                                                                                                                           
-vm /usr/java/jre1.6.0_10/bin/../lib/i386/client/libjvm.so                                                                                            
-vmargs                                                                                                                                               
-Xms40m                                                                                                                                               
-Xmx512m                                                                                                                                              
-XX:MaxPermSize=128m                                                                                                                                  
-XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith                                                              
-XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init>                                                 
-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate                                    
-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding                                                       
-XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile                                        
-XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles                                           
-Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins                                                                      
-Djava.class.path=/usr/lib/eclipse/plugins/org.eclipse.equinox.launcher_1.0.101.R34x_v20080819.jar                                                    
CompilerOracle: exclude org/eclipse/core/internal/dtree/DataTreeNode.forwardDeltaWith                                                                 
CompilerOracle: exclude org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding.<init>                                                    
CompilerOracle: exclude org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates.instantiateTemplate                                       
CompilerOracle: exclude org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage.addBinding                                                          
CompilerOracle: exclude org/python/pydev/editor/codecompletion/revisited/PythonPathHelper.isValidSourceFile                                           
CompilerOracle: exclude org/python/pydev/ui/filetypes/FileTypesPreferencesPage.getDottedValidSourceFiles                                              
Install location:                                                                                                                                     
    file:/usr/lib/eclipse/                                                                                                                            
Configuration file:                                                                                                                                   
    file:/usr/lib/eclipse/configuration/config.ini loaded                                                                                             
Configuration location:                                                                                                                               
    file:/home/xxx/.eclipse/org.eclipse.platform_3.4.0_155965261/configuration/                                                                     
Configuration file:                                                                                                                                   
    file:/home/xxx/.eclipse/org.eclipse.platform_3.4.0_155965261/configuration/config.ini loaded                                                    
Shared configuration location:                                                                                                                        
    file:/usr/lib/eclipse/configuration/
Framework located:
    file:/usr/lib/eclipse/plugins/org.eclipse.osgi_3.4.2.R34x_v20080826-1230.jar
Framework classpath:
    file:/usr/lib/eclipse/plugins/org.eclipse.osgi_3.4.2.R34x_v20080826-1230.jar
Splash location:
    /usr/lib/eclipse//plugins/org.fedoraproject.ide.platform_3.4.1/splash.bmp
Debug options:
    file:/home/xxx/.options not found
Time to load bundles: 4
!SESSION 2008-12-04 07:39:42.349 -----------------------------------------------
eclipse.buildId=M20080911-1700
java.version=1.6.0_10
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_US
Command-line arguments:  -os linux -ws gtk -arch x86 -debug -consoleLog

!ENTRY org.eclipse.osgi 4 0 2008-12-04 07:39:42.633
!MESSAGE Application error
!STACK 1
java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:74)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:386)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
        at java.lang.reflect.Method.invoke(Unknown Source)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:549)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1236)
Comment 9 Andrew Overholt 2008-12-04 09:50:32 EST
These files in /usr/lib/eclipse/configuration:

-rw-r--r-- 1 root root   63163 2008-11-30 08:24 1228051494723.log
-rw-r--r-- 1 root root   62392 2008-11-30 08:40 1228052415640.log
-rw-r--r-- 1 root root   62606 2008-11-30 08:41 1228052491789.log
-rw-r--r-- 1 root root   41625 2008-12-01 07:36 1228134979077.log
-rw-r--r-- 1 root root   42189 2008-12-01 08:08 1228136886516.log
-rw-r--r-- 1 root root   42189 2008-12-01 08:08 1228136916636.log
-rw-r--r-- 1 root root 1657463 2008-12-02 22:14 1228274072046.bak_0.log
-rw-r--r-- 1 root root   49058 2008-12-02 22:27 1228274848067.log
-rw-r--r-- 1 root root   48890 2008-12-02 22:27 1228274866617.log
-rw-r--r-- 1 root root   42925 2008-12-02 22:28 1228274893990.log
-rw-r--r-- 1 root root   48766 2008-12-02 22:28 1228274908073.log
-rw-r--r-- 1 root root     789 2008-12-02 22:27 config.ini.rpmsave

indicate that you started eclipse as root.  If the output of the following isn't nothing, you've got a problem with your installation:

for f in `rpm -qa | grep eclipse`; do rpm -qV $f; done
Comment 10 Linuxguy123 2008-12-04 11:30:04 EST
I did start eclipse as root at times.  I have also accidentally started the eclipse.org eclipse as root.  It still runs.  It has never not run properly for me. 

$ for f in `rpm -qa | grep eclipse`; do rpm -qV $f; done
missing     /usr/lib/eclipse/features/com.ibm.icu_3.8.1.v20080530
missing     /usr/lib/eclipse/features/com.ibm.icu_3.8.1.v20080530/feature.xml
missing     /usr/lib/eclipse/plugins/com.ibm.icu.source_3.8.1.v20080530.jar
missing     /usr/lib/eclipse/plugins/com.ibm.icu_3.8.1.v20080530.jar
missing     /usr/share/eclipse/plugins/org.apache.jasper_5.5.17.v200706111724.jar
Comment 11 Alexander Kurtakov 2008-12-04 12:13:59 EST
The missing files are part of icu4j-eclipse and tomcat5-jasper-eclipse which are required by eclipse-rcp and eclipse-platform which you have installed.
So in theory this should not happen.
When doing rm -rf /usr/lib/eclipse   rm -rf /usr/share/eclipse 
rm -rf ~/.eclipse
you should ensure that you are doing yum erase for all the package that have installed files there e.g. icu4j-eclipse and tomcat5-jasper-eclipse.
To fix the current situation you should reinstall icu4j-eclipse and tomcat5-jasper-eclipse.
Comment 12 Linuxguy123 2008-12-04 14:15:43 EST
A) icu4j-eclipse is a dependency for eclipse, but it is not uninstalled with yum remove eclipse\*.  Note that yum remove Eclipse* and yum remove eclipse* don't work. I reported that in a different bugzilla report.

For posterity's sake, I did some checking before I started:

rpm -ql icu4j-eclipse
/usr/lib/eclipse                          
/usr/lib/eclipse/features                 
/usr/lib/eclipse/features/com.ibm.icu_3.8.1.v20080530
/usr/lib/eclipse/features/com.ibm.icu_3.8.1.v20080530/feature.xml
/usr/lib/eclipse/plugins                                         
/usr/lib/eclipse/plugins/com.ibm.icu.source_3.8.1.v20080530.jar  
/usr/lib/eclipse/plugins/com.ibm.icu_3.8.1.v20080530.jar         
/usr/share/doc/icu4j-eclipse-3.8.1                               
/usr/share/doc/icu4j-eclipse-3.8.1/license.html                  
/usr/share/doc/icu4j-eclipse-3.8.1/readme.html        

$ rpm -ql tomcat5-jasper-eclipse              
/usr/share/eclipse                                               
/usr/share/eclipse/plugins                                       
/usr/share/eclipse/plugins/org.apache.jasper_5.5.17.v200706111724.jar


Then I checked what yum said about icu4j-eclipse

# yum install icu4j-eclipse
Loaded plugins: kmdl, priorities, refresh-packagekit
rpmfusion-nonfree-updates                                                                                                      | 2.7 kB     00:00     
fedora                                                                                                                         | 2.8 kB     00:00     
rpmfusion-free-updates                                                                                                         | 2.7 kB     00:00     
rpmfusion-free                                                                                                                 | 2.7 kB     00:00     
rpmfusion-nonfree                                                                                                              | 2.7 kB     00:00     
updates                                                                                                                        | 2.3 kB     00:00     
0 packages excluded due to repository priority protections                                                                                            
Setting up Install Process                                                                                                                            
Parsing package install arguments                                                                                                                     
Package icu4j-eclipse-3.8.1-4.fc10.i386 already installed and latest version                                                                          
Nothing to do     

Then I tried to remove it to see what it would say.

# yum remove icu4j-eclipse
Loaded plugins: kmdl, priorities, refresh-packagekit
Setting up Remove Process                           
Resolving Dependencies                              
--> Running transaction check                       
---> Package icu4j-eclipse.i386 0:3.8.1-4.fc10 set to be erased
--> Processing Dependency: icu4j-eclipse >= 3.8.1-3 for package: eclipse-rcp
--> Running transaction check                                               
---> Package eclipse-rcp.i386 1:3.4.1-5.fc10 set to be erased               
--> Processing Dependency: eclipse-rcp = 1:3.4.1-5.fc10 for package: eclipse-platform
--> Running transaction check                                                        
---> Package eclipse-platform.i386 1:3.4.1-5.fc10 set to be erased                   
--> Processing Dependency: eclipse-platform for package: eclipse-cdt                 
--> Processing Dependency: eclipse-platform >= 1:3.4.0 for package: eclipse-cdt      
--> Running transaction check                                                        
---> Package eclipse-cdt.i386 1:5.0.0-10.fc10 set to be erased                       
--> Finished Dependency Resolution                                                   
DEBUG:                                                                               
[]                                                                                   

Dependencies Resolved

======================================================================================================================================================
 Package                                 Arch                        Version                                   Repository                        Size 
======================================================================================================================================================
Removing:                                                                                                                                             
 icu4j-eclipse                           i386                        3.8.1-4.fc10                              installed                        5.6 M 
Removing for dependencies:                                                                                                                            
 eclipse-cdt                             i386                        1:5.0.0-10.fc10                           installed                         52 M 
 eclipse-platform                        i386                        1:3.4.1-5.fc10                            installed                         32 M 
 eclipse-rcp                             i386                        1:3.4.1-5.fc10                            installed                        8.2 M 

Transaction Summary
======================================================================================================================================================
Install      0 Package(s)                                                                                                                             
Update       0 Package(s)                                                                                                                             
Remove       4 Package(s)                                                                                                                             

Is this ok [y/N]: N

Yum wants to remove the whole eclipse installation if we remove icu4j.   Eclipse depends on it.

# yum remove eclipse-platform
Loaded plugins: kmdl, priorities, refresh-packagekit
Setting up Remove Process                           
Resolving Dependencies                              
--> Running transaction check                       
---> Package eclipse-platform.i386 1:3.4.1-5.fc10 set to be erased
--> Processing Dependency: eclipse-platform for package: eclipse-cdt
--> Processing Dependency: eclipse-platform >= 1:3.4.0 for package: eclipse-cdt
--> Running transaction check                                                  
---> Package eclipse-cdt.i386 1:5.0.0-10.fc10 set to be erased                 
--> Finished Dependency Resolution                                             
DEBUG:                                                                         
[]                                                                             

Dependencies Resolved

======================================================================================================================================================
 Package                                 Arch                        Version                                   Repository                        Size 
======================================================================================================================================================
Removing:                                                                                                                                             
 eclipse-platform                        i386                        1:3.4.1-5.fc10                            installed                         32 M 
Removing for dependencies:                                                                                                                            
 eclipse-cdt                             i386                        1:5.0.0-10.fc10                           installed                         52 M 

Transaction Summary
======================================================================================================================================================
Install      0 Package(s)                                                                                                                             
Update       0 Package(s)                                                                                                                             
Remove       2 Package(s)                                                                                                                             

Is this ok [y/N]: 

Yet if one removes eclipse, it doesn't remove icu4j-eclipse.

Maybe removing the eclipse-rcp package would remove it. 

# yum remove eclipse-rcp
Loaded plugins: kmdl, priorities, refresh-packagekit
Setting up Remove Process                           
Resolving Dependencies                              
--> Running transaction check                       
---> Package eclipse-rcp.i386 1:3.4.1-5.fc10 set to be erased
--> Processing Dependency: eclipse-rcp = 1:3.4.1-5.fc10 for package: eclipse-platform
--> Running transaction check                                                        
---> Package eclipse-platform.i386 1:3.4.1-5.fc10 set to be erased                   
--> Processing Dependency: eclipse-platform for package: eclipse-cdt                 
--> Processing Dependency: eclipse-platform >= 1:3.4.0 for package: eclipse-cdt      
--> Running transaction check                                                        
---> Package eclipse-cdt.i386 1:5.0.0-10.fc10 set to be erased                       
--> Finished Dependency Resolution                                                   
DEBUG:                                                                               
[]                                                                                   

Dependencies Resolved

======================================================================================================================================================
 Package                                 Arch                        Version                                   Repository                        Size 
======================================================================================================================================================
Removing:                                                                                                                                             
 eclipse-rcp                             i386                        1:3.4.1-5.fc10                            installed                        8.2 M 
Removing for dependencies:                                                                                                                            
 eclipse-cdt                             i386                        1:5.0.0-10.fc10                           installed                         52 M 
 eclipse-platform                        i386                        1:3.4.1-5.fc10                            installed                         32 M 

Transaction Summary
======================================================================================================================================================
Install      0 Package(s)                                                                                                                             
Update       0 Package(s)                                                                                                                             
Remove       3 Package(s)                                                                                                                             

Is this ok [y/N]: 

Nope.  It won't remove icu4j-eclipse.

# yum remove eclipse\*
Loaded plugins: kmdl, priorities, refresh-packagekit
Setting up Remove Process                           
Resolving Dependencies                              
--> Running transaction check                       
---> Package eclipse-ecj.i386 1:3.4.1-5.fc10 set to be erased
--> Processing Dependency: eclipse-ecj >= 3.2.1 for package: java-1.5.0-gcj-devel
---> Package eclipse-rcp.i386 1:3.4.1-5.fc10 set to be erased                    
---> Package eclipse-platform.i386 1:3.4.1-5.fc10 set to be erased               
---> Package eclipse-swt.i386 1:3.4.1-5.fc10 set to be erased                    
---> Package eclipse-cdt.i386 1:5.0.0-10.fc10 set to be erased                   
--> Running transaction check                                                    
---> Package java-1.5.0-gcj-devel.i386 0:1.5.0.0-22.fc10 set to be erased        
--> Processing Dependency: java-devel >= 1.5.0 for package: ant                  
--> Running transaction check                                                    
---> Package ant.i386 0:1.7.1-7.2.fc10 set to be erased                          
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-commons-net     
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-jsch            
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-antlr           
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-bcel     
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-commons-logging 
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-bsf      
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-oro      
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-swing           
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-regexp   
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-javamail        
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-trax            
--> Processing Dependency: ant >= 1.6 for package: jetty                         
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-jdepend         
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-junit           
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-resolver 
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-log4j    
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-nodeps          
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-commons-net     
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-jsch            
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-antlr           
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-bcel     
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-commons-logging 
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-bsf      
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-oro      
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-swing           
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-regexp   
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-javamail        
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-trax            
--> Processing Dependency: ant >= 1.6 for package: jetty                         
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-jdepend         
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-junit           
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-resolver 
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-log4j    
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-nodeps          
--> Running transaction check                                                    
---> Package ant-apache-bcel.i386 0:1.7.1-7.2.fc10 set to be erased              
---> Package jetty.i386 0:5.1.14-1.6.fc10 set to be erased                       
---> Package ant-apache-oro.i386 0:1.7.1-7.2.fc10 set to be erased               
---> Package ant-commons-net.i386 0:1.7.1-7.2.fc10 set to be erased              
---> Package ant-javamail.i386 0:1.7.1-7.2.fc10 set to be erased                 
---> Package ant-commons-logging.i386 0:1.7.1-7.2.fc10 set to be erased          
---> Package ant-jdepend.i386 0:1.7.1-7.2.fc10 set to be erased                  
---> Package ant-junit.i386 0:1.7.1-7.2.fc10 set to be erased                    
---> Package ant-swing.i386 0:1.7.1-7.2.fc10 set to be erased                    
---> Package ant-apache-log4j.i386 0:1.7.1-7.2.fc10 set to be erased             
---> Package ant-jsch.i386 0:1.7.1-7.2.fc10 set to be erased                     
---> Package ant-antlr.i386 0:1.7.1-7.2.fc10 set to be erased                    
---> Package ant-trax.i386 0:1.7.1-7.2.fc10 set to be erased                     
---> Package ant-apache-resolver.i386 0:1.7.1-7.2.fc10 set to be erased          
---> Package ant-apache-bsf.i386 0:1.7.1-7.2.fc10 set to be erased               
---> Package ant-apache-regexp.i386 0:1.7.1-7.2.fc10 set to be erased            
---> Package ant-nodeps.i386 0:1.7.1-7.2.fc10 set to be erased                   
--> Processing Dependency: /usr/share/java/eclipse-ecj.jar for package: gcc-java 
--> Restarting Dependency Resolution with new changes.                           
--> Running transaction check                                                    
---> Package gcc-java.i386 0:4.3.2-7 set to be erased                            
--> Finished Dependency Resolution                                               
DEBUG:                                                                           
[]                                                                               

Dependencies Resolved

======================================================================================================================================================
 Package                                    Arch                       Version                                  Repository                       Size 
======================================================================================================================================================
Removing:                                                                                                                                             
 eclipse-cdt                                i386                       1:5.0.0-10.fc10                          installed                        52 M 
 eclipse-ecj                                i386                       1:3.4.1-5.fc10                           installed                       4.3 M 
 eclipse-platform                           i386                       1:3.4.1-5.fc10                           installed                        32 M 
 eclipse-rcp                                i386                       1:3.4.1-5.fc10                           installed                       8.2 M 
 eclipse-swt                                i386                       1:3.4.1-5.fc10                           installed                       2.4 M 
Removing for dependencies:                                                                                                                            
 ant                                        i386                       1.7.1-7.2.fc10                           installed                       5.3 M 
 ant-antlr                                  i386                       1.7.1-7.2.fc10                           installed                        34 k 
 ant-apache-bcel                            i386                       1.7.1-7.2.fc10                           installed                        34 k 
 ant-apache-bsf                             i386                       1.7.1-7.2.fc10                           installed                        21 k 
 ant-apache-log4j                           i386                       1.7.1-7.2.fc10                           installed                        18 k 
 ant-apache-oro                             i386                       1.7.1-7.2.fc10                           installed                       167 k 
 ant-apache-regexp                          i386                       1.7.1-7.2.fc10                           installed                        19 k 
 ant-apache-resolver                        i386                       1.7.1-7.2.fc10                           installed                        20 k 
 ant-commons-logging                        i386                       1.7.1-7.2.fc10                           installed                        23 k 
 ant-commons-net                            i386                       1.7.1-7.2.fc10                           installed                       192 k 
 ant-javamail                               i386                       1.7.1-7.2.fc10                           installed                        33 k 
 ant-jdepend                                i386                       1.7.1-7.2.fc10                           installed                        72 k 
 ant-jsch                                   i386                       1.7.1-7.2.fc10                           installed                       123 k 
 ant-junit                                  i386                       1.7.1-7.2.fc10                           installed                       386 k 
 ant-nodeps                                 i386                       1.7.1-7.2.fc10                           installed                       1.6 M 
 ant-swing                                  i386                       1.7.1-7.2.fc10                           installed                        35 k 
 ant-trax                                   i386                       1.7.1-7.2.fc10                           installed                        94 k 
 gcc-java                                   i386                       4.3.2-7                                  installed                       7.2 M 
 java-1.5.0-gcj-devel                       i386                       1.5.0.0-22.fc10                          installed                        59 k 
 jetty                                      i386                       5.1.14-1.6.fc10                          installed                       3.5 M 

Transaction Summary
======================================================================================================================================================
Install      0 Package(s)                                                                                                                             
Update       0 Package(s)                                                                                                                             
Remove      25 Package(s)                                                                                                                             

Is this ok [y/N]: N

icu4j does not removed here either, in spite of being an eclipse related package.  It gets orphaned.  Ant does get removed.  icu4j does not get removed.


b) Once I understood this, I set about fixing the icu4j situation.  I couldn't find a way to force yum to reinstall the package, so I did it manually with rpm.

I downloaded the rpm.

# yumdownloader icu4j-eclipse
Loaded plugins: kmdl, priorities, refresh-packagekit
0 packages excluded due to repository priority protections
icu4j-eclipse-3.8.1-4.fc10.i386.rpm                                                                                            | 5.3 MB     00:09

There is the rpm.
[root@localhost EclipseYum]# ls
icu4j-eclipse-3.8.1-4.fc10.i386.rpm


I removed the old package, ignoring the dependencies.
 rpm  -e --nodeps icu4j-eclipse

Then I reinstalled it.
[root@localhost EclipseYum]# rpm  -i icu4j-eclipse*rpm

Then I checked to see that the missing files weren't missing anymore.

[root@localhost EclipseYum]#  for f in `rpm -qa | grep eclipse`; do rpm -qV $f; done
..5....T  c /usr/lib/eclipse/configuration/config.ini
S.5....T  c /usr/lib/eclipse/configuration/org.eclipse.equinox.simpleconfigurator/bundles.info
missing     /usr/lib/eclipse/configuration/org.eclipse.osgi/.bundledata.1
missing     /usr/lib/eclipse/configuration/org.eclipse.osgi/.lazy.1
missing     /usr/lib/eclipse/configuration/org.eclipse.osgi/.manager/.fileTable.4
missing     /usr/lib/eclipse/configuration/org.eclipse.osgi/.manager/.fileTable.5
missing     /usr/lib/eclipse/configuration/org.eclipse.osgi/.state.1
missing     /usr/share/eclipse/plugins/org.apache.jasper_5.5.17.v200706111724.jar
..5....T    /usr/lib/eclipse/configuration/config.ini
S.5....T  c /usr/lib/eclipse/eclipse.ini

The icu4j-eclipse complaints have disappeared.


C) now I'll fix the tomcat issue.

Note that tomcat5-jasper-eclipse did not get listed in the packages that were to be uninstalled if eclipse were to be removed.  Unlike Ant, for example.

Download the rpm:

# yumdownloader tomcat5-jasper-eclipse
Loaded plugins: kmdl, priorities, refresh-packagekit
0 packages excluded due to repository priority protections
tomcat5-jasper-eclipse-5.5.27-4.9.fc10.noarch.rpm                                                                              | 4.5 MB     00:08

Check its there.
# ls *.rpm
icu4j-eclipse-3.8.1-4.fc10.i386.rpm  tomcat5-jasper-eclipse-5.5.27-4.9.fc10.noarch.rpm

Remove the old rpm, ignoring dependencies.
# rpm -e --nodeps tomcat5-jasper-eclipse

Install the new rpm.
# rpm -i tomcat5-jasper-eclipse*rpm

Check for missing files:
#  for f in `rpm -qa | grep eclipse`; do rpm -qV $f; done
..5....T  c /usr/lib/eclipse/configuration/config.ini
S.5....T  c /usr/lib/eclipse/configuration/org.eclipse.equinox.simpleconfigurator/bundles.info
missing     /usr/lib/eclipse/configuration/org.eclipse.osgi/.bundledata.1
missing     /usr/lib/eclipse/configuration/org.eclipse.osgi/.lazy.1
missing     /usr/lib/eclipse/configuration/org.eclipse.osgi/.manager/.fileTable.4
missing     /usr/lib/eclipse/configuration/org.eclipse.osgi/.manager/.fileTable.5
missing     /usr/lib/eclipse/configuration/org.eclipse.osgi/.state.1
..5....T    /usr/lib/eclipse/configuration/config.ini
S.5....T  c /usr/lib/eclipse/eclipse.ini

Attempt to run, for the fun of it.

$eclipse -debug -consoleLog

Start VM: -Xms40m                              
-Xmx512m                                       
-XX:MaxPermSize=128m                           
-XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith
-XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init>
-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate
-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding                   
-XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile    
-XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles       
-Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins                                  
-Djava.class.path=/usr/lib/eclipse/plugins/org.eclipse.equinox.launcher_1.0.101.R34x_v20080819.jar                
-os linux                                                                                                         
-ws gtk                                                                                                           
-arch x86                                                                                                         
-showsplash /usr/lib/eclipse//plugins/org.fedoraproject.ide.platform_3.4.1/splash.bmp                             
-launcher /usr/lib/eclipse/eclipse                                                                                
-name Eclipse                                                                                                     
--launcher.library /usr/lib/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.0.101.R34x_v20080805/eclipse_1115.so
-startup /usr/lib/eclipse/plugins/org.eclipse.equinox.launcher_1.0.101.R34x_v20080819.jar                                    
-framework plugins/org.eclipse.osgi_3.4.2.R34x_v20080826-1230.jar                                                            
-debug                                                                                                                       
-consoleLog                                                                                                                  
-vm /usr/java/jre1.6.0_10/bin/../lib/i386/client/libjvm.so                                                                   
-vmargs                                                                                                                      
-Xms40m                                                                                                                      
-Xmx512m                                                                                                                     
-XX:MaxPermSize=128m                                                                                                         
-XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith                                     
-XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init>                        
-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate           
-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding                              
-XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile               
-XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles                  
-Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins                                             
-Djava.class.path=/usr/lib/eclipse/plugins/org.eclipse.equinox.launcher_1.0.101.R34x_v20080819.jar                           
CompilerOracle: exclude org/eclipse/core/internal/dtree/DataTreeNode.forwardDeltaWith                                        
CompilerOracle: exclude org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding.<init>                           
CompilerOracle: exclude org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates.instantiateTemplate              
CompilerOracle: exclude org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage.addBinding                                 
CompilerOracle: exclude org/python/pydev/editor/codecompletion/revisited/PythonPathHelper.isValidSourceFile                  
CompilerOracle: exclude org/python/pydev/ui/filetypes/FileTypesPreferencesPage.getDottedValidSourceFiles                     
Install location:                                                                                                            
    file:/usr/lib/eclipse/                                                                                                   
Configuration file:                                                                                                          
    file:/usr/lib/eclipse/configuration/config.ini loaded                                                                    
Configuration location:                                                                                                      
    file:/home/krlux/.eclipse/org.eclipse.platform_3.4.0_155965261/configuration/                                            
Configuration file:                                                                                                          
    file:/home/krlux/.eclipse/org.eclipse.platform_3.4.0_155965261/configuration/config.ini loaded                           
Shared configuration location:                                                                                               
    file:/usr/lib/eclipse/configuration/
Framework located:
    file:/usr/lib/eclipse/plugins/org.eclipse.osgi_3.4.2.R34x_v20080826-1230.jar
Framework classpath:
    file:/usr/lib/eclipse/plugins/org.eclipse.osgi_3.4.2.R34x_v20080826-1230.jar
Splash location:
    /usr/lib/eclipse//plugins/org.fedoraproject.ide.platform_3.4.1/splash.bmp
Debug options:
    file:/home/krlux/.options not found
Time to load bundles: 3
!SESSION 2008-12-04 11:56:11.928 -----------------------------------------------
eclipse.buildId=M20080911-1700
java.version=1.6.0_10
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_US
Command-line arguments:  -os linux -ws gtk -arch x86 -debug -consoleLog

!ENTRY org.eclipse.osgi 4 0 2008-12-04 11:56:12.184
!MESSAGE Application error
!STACK 1
java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:74)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:386)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
        at java.lang.reflect.Method.invoke(Unknown Source)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:549)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1236)
Comment 13 Linuxguy123 2008-12-04 14:16:16 EST
Try removing all the eclipse packages and reinstalling.

# yum remove eclipse\*                      
Loaded plugins: downloadonly, kmdl, priorities, refresh-packagekit
Setting up Remove Process                                         
Resolving Dependencies                                            
--> Running transaction check                                     
---> Package eclipse-ecj.i386 1:3.4.1-5.fc10 set to be erased     
--> Processing Dependency: eclipse-ecj >= 3.2.1 for package: java-1.5.0-gcj-devel
---> Package eclipse-rcp.i386 1:3.4.1-5.fc10 set to be erased                    
---> Package eclipse-platform.i386 1:3.4.1-5.fc10 set to be erased               
---> Package eclipse-swt.i386 1:3.4.1-5.fc10 set to be erased                    
---> Package eclipse-cdt.i386 1:5.0.0-10.fc10 set to be erased                   
--> Running transaction check                                                    
---> Package java-1.5.0-gcj-devel.i386 0:1.5.0.0-22.fc10 set to be erased        
--> Processing Dependency: java-devel >= 1.5.0 for package: ant                  
--> Running transaction check                                                    
---> Package ant.i386 0:1.7.1-7.2.fc10 set to be erased                          
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-commons-net     
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-jsch            
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-antlr           
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-bcel     
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-commons-logging 
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-bsf      
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-oro      
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-swing           
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-regexp   
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-javamail        
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-trax            
--> Processing Dependency: ant >= 1.6 for package: jetty                         
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-jdepend         
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-junit           
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-resolver 
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-log4j    
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-nodeps          
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-commons-net     
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-jsch            
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-antlr           
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-bcel     
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-commons-logging 
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-bsf      
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-oro      
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-swing           
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-regexp   
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-javamail        
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-trax            
--> Processing Dependency: ant >= 1.6 for package: jetty                         
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-jdepend         
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-junit           
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-resolver 
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-apache-log4j    
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-nodeps          
--> Running transaction check                                                    
---> Package ant-apache-oro.i386 0:1.7.1-7.2.fc10 set to be erased               
---> Package ant-apache-resolver.i386 0:1.7.1-7.2.fc10 set to be erased          
---> Package ant-trax.i386 0:1.7.1-7.2.fc10 set to be erased                     
---> Package ant-jsch.i386 0:1.7.1-7.2.fc10 set to be erased                     
---> Package ant-javamail.i386 0:1.7.1-7.2.fc10 set to be erased                 
---> Package ant-commons-net.i386 0:1.7.1-7.2.fc10 set to be erased              
---> Package ant-jdepend.i386 0:1.7.1-7.2.fc10 set to be erased                  
---> Package ant-swing.i386 0:1.7.1-7.2.fc10 set to be erased                    
---> Package ant-apache-log4j.i386 0:1.7.1-7.2.fc10 set to be erased             
---> Package jetty.i386 0:5.1.14-1.6.fc10 set to be erased                       
---> Package ant-antlr.i386 0:1.7.1-7.2.fc10 set to be erased                    
---> Package ant-commons-logging.i386 0:1.7.1-7.2.fc10 set to be erased          
---> Package ant-apache-bsf.i386 0:1.7.1-7.2.fc10 set to be erased               
---> Package ant-junit.i386 0:1.7.1-7.2.fc10 set to be erased                    
---> Package ant-apache-regexp.i386 0:1.7.1-7.2.fc10 set to be erased            
---> Package ant-nodeps.i386 0:1.7.1-7.2.fc10 set to be erased                   
---> Package ant-apache-bcel.i386 0:1.7.1-7.2.fc10 set to be erased              
--> Processing Dependency: /usr/share/java/eclipse-ecj.jar for package: gcc-java 
--> Restarting Dependency Resolution with new changes.                           
--> Running transaction check                                                    
---> Package gcc-java.i386 0:4.3.2-7 set to be erased                            
--> Finished Dependency Resolution                                               
DEBUG:                                                                           
[]                                                                               

Dependencies Resolved

======================================================================================================================================================
 Package                                    Arch                       Version                                  Repository                       Size 
======================================================================================================================================================
Removing:                                                                                                                                             
 eclipse-cdt                                i386                       1:5.0.0-10.fc10                          installed                        52 M 
 eclipse-ecj                                i386                       1:3.4.1-5.fc10                           installed                       4.3 M 
 eclipse-platform                           i386                       1:3.4.1-5.fc10                           installed                        32 M 
 eclipse-rcp                                i386                       1:3.4.1-5.fc10                           installed                       8.2 M 
 eclipse-swt                                i386                       1:3.4.1-5.fc10                           installed                       2.4 M 
Removing for dependencies:                                                                                                                            
 ant                                        i386                       1.7.1-7.2.fc10                           installed                       5.3 M 
 ant-antlr                                  i386                       1.7.1-7.2.fc10                           installed                        34 k 
 ant-apache-bcel                            i386                       1.7.1-7.2.fc10                           installed                        34 k 
 ant-apache-bsf                             i386                       1.7.1-7.2.fc10                           installed                        21 k 
 ant-apache-log4j                           i386                       1.7.1-7.2.fc10                           installed                        18 k 
 ant-apache-oro                             i386                       1.7.1-7.2.fc10                           installed                       167 k 
 ant-apache-regexp                          i386                       1.7.1-7.2.fc10                           installed                        19 k 
 ant-apache-resolver                        i386                       1.7.1-7.2.fc10                           installed                        20 k 
 ant-commons-logging                        i386                       1.7.1-7.2.fc10                           installed                        23 k 
 ant-commons-net                            i386                       1.7.1-7.2.fc10                           installed                       192 k 
 ant-javamail                               i386                       1.7.1-7.2.fc10                           installed                        33 k 
 ant-jdepend                                i386                       1.7.1-7.2.fc10                           installed                        72 k 
 ant-jsch                                   i386                       1.7.1-7.2.fc10                           installed                       123 k 
 ant-junit                                  i386                       1.7.1-7.2.fc10                           installed                       386 k 
 ant-nodeps                                 i386                       1.7.1-7.2.fc10                           installed                       1.6 M 
 ant-swing                                  i386                       1.7.1-7.2.fc10                           installed                        35 k 
 ant-trax                                   i386                       1.7.1-7.2.fc10                           installed                        94 k 
 gcc-java                                   i386                       4.3.2-7                                  installed                       7.2 M 
 java-1.5.0-gcj-devel                       i386                       1.5.0.0-22.fc10                          installed                        59 k 
 jetty                                      i386                       5.1.14-1.6.fc10                          installed                       3.5 M 

Transaction Summary
======================================================================================================================================================
Install      0 Package(s)                                                                                                                             
Update       0 Package(s)                                                                                                                             
Remove      25 Package(s)                                                                                                                             

Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction       
  Erasing        : eclipse-cdt                                                                                                                   1/25 
  Erasing        : ant-apache-bsf                                                                                                                2/25 
  Erasing        : ant-jdepend                                                                                                                   3/25 
  Erasing        : ant-apache-resolver                                                                                                           4/25 
  Erasing        : java-1.5.0-gcj-devel                                                                                                          5/25 
  Erasing        : ant-trax                                                                                                                      6/25 
  Erasing        : ant-apache-log4j                                                                                                              7/25 
  Erasing        : ant-swing                                                                                                                     8/25 
  Erasing        : eclipse-rcp                                                                                                                   9/25 
warning: /usr/lib/eclipse/configuration/org.eclipse.equinox.simpleconfigurator/bundles.info saved as /usr/lib/eclipse/configuration/org.eclipse.equinox.simpleconfigurator/bundles.info.rpmsave                                                                                                             
warning: /usr/lib/eclipse/configuration/config.ini saved as /usr/lib/eclipse/configuration/config.ini.rpmsave                                         
  Erasing        : gcc-java                                                                                                                     10/25
  Erasing        : ant                                                                                                                          11/25
  Erasing        : eclipse-platform                                                                                                             12/25
warning: /usr/lib/eclipse/eclipse.ini saved as /usr/lib/eclipse/eclipse.ini.rpmsave
  Erasing        : ant-commons-logging                                                                                                          13/25
  Erasing        : ant-apache-oro                                                                                                               14/25
  Erasing        : jetty                                                                                                                        15/25
  Erasing        : ant-jsch                                                                                                                     16/25
  Erasing        : ant-nodeps                                                                                                                   17/25
  Erasing        : ant-apache-bcel                                                                                                              18/25
  Erasing        : eclipse-swt                                                                                                                  19/25
  Erasing        : ant-antlr                                                                                                                    20/25
  Erasing        : eclipse-ecj                                                                                                                  21/25
  Erasing        : ant-commons-net                                                                                                              22/25
  Erasing        : ant-javamail                                                                                                                 23/25
  Erasing        : ant-apache-regexp                                                                                                            24/25
  Erasing        : ant-junit                                                                                                                    25/25

Removed:
  eclipse-cdt.i386 1:5.0.0-10.fc10    eclipse-ecj.i386 1:3.4.1-5.fc10    eclipse-platform.i386 1:3.4.1-5.fc10    eclipse-rcp.i386 1:3.4.1-5.fc10
  eclipse-swt.i386 1:3.4.1-5.fc10

Dependency Removed:
  ant.i386 0:1.7.1-7.2.fc10                          ant-antlr.i386 0:1.7.1-7.2.fc10                  ant-apache-bcel.i386 0:1.7.1-7.2.fc10
  ant-apache-bsf.i386 0:1.7.1-7.2.fc10               ant-apache-log4j.i386 0:1.7.1-7.2.fc10           ant-apache-oro.i386 0:1.7.1-7.2.fc10
  ant-apache-regexp.i386 0:1.7.1-7.2.fc10            ant-apache-resolver.i386 0:1.7.1-7.2.fc10        ant-commons-logging.i386 0:1.7.1-7.2.fc10
  ant-commons-net.i386 0:1.7.1-7.2.fc10              ant-javamail.i386 0:1.7.1-7.2.fc10               ant-jdepend.i386 0:1.7.1-7.2.fc10
  ant-jsch.i386 0:1.7.1-7.2.fc10                     ant-junit.i386 0:1.7.1-7.2.fc10                  ant-nodeps.i386 0:1.7.1-7.2.fc10
  ant-swing.i386 0:1.7.1-7.2.fc10                    ant-trax.i386 0:1.7.1-7.2.fc10                   gcc-java.i386 0:4.3.2-7
  java-1.5.0-gcj-devel.i386 0:1.5.0.0-22.fc10        jetty.i386 0:5.1.14-1.6.fc10

Complete!


I think rpmsave is going to cause me problems.  Nevertheless, I reinstall.

# yum install eclipse-platform
Loaded plugins: downloadonly, kmdl, priorities, refresh-packagekit
0 packages excluded due to repository priority protections        
Setting up Install Process                                        
Parsing package install arguments                                 
Resolving Dependencies                                            
--> Running transaction check                                     
---> Package eclipse-platform.i386 1:3.4.1-5.fc10 set to be updated
--> Processing Dependency: eclipse-rcp = 1:3.4.1-5.fc10 for package: eclipse-platform
--> Processing Dependency: jetty >= 5.1.14-1.6 for package: eclipse-platform         
--> Processing Dependency: ant-antlr for package: eclipse-platform                   
--> Processing Dependency: ant-commons-net for package: eclipse-platform             
--> Processing Dependency: ant-apache-log4j for package: eclipse-platform            
--> Processing Dependency: ant-nodeps for package: eclipse-platform                  
--> Processing Dependency: ant-trax for package: eclipse-platform                    
--> Processing Dependency: ant-swing for package: eclipse-platform                   
--> Processing Dependency: ant-commons-logging for package: eclipse-platform         
--> Processing Dependency: ant-apache-oro for package: eclipse-platform              
--> Processing Dependency: ant-apache-regexp for package: eclipse-platform           
--> Processing Dependency: ant-javamail for package: eclipse-platform                
--> Processing Dependency: ant-jsch for package: eclipse-platform                    
--> Processing Dependency: ant-apache-bcel for package: eclipse-platform             
--> Processing Dependency: ant-apache-resolver for package: eclipse-platform         
--> Processing Dependency: ant-apache-bsf for package: eclipse-platform              
--> Processing Dependency: ant-junit for package: eclipse-platform                   
--> Processing Dependency: ant-jdepend for package: eclipse-platform                 
--> Running transaction check                                                        
---> Package ant-nodeps.i386 0:1.7.1-7.2.fc10 set to be updated                      
--> Processing Dependency: ant = 1.7.1-7.2.fc10 for package: ant-nodeps              
---> Package ant-trax.i386 0:1.7.1-7.2.fc10 set to be updated                        
---> Package ant-antlr.i386 0:1.7.1-7.2.fc10 set to be updated                       
---> Package ant-apache-oro.i386 0:1.7.1-7.2.fc10 set to be updated                  
---> Package ant-commons-net.i386 0:1.7.1-7.2.fc10 set to be updated                 
---> Package eclipse-rcp.i386 1:3.4.1-5.fc10 set to be updated                       
--> Processing Dependency: eclipse-swt = 1:3.4.1-5.fc10 for package: eclipse-rcp     
---> Package ant-javamail.i386 0:1.7.1-7.2.fc10 set to be updated                    
---> Package ant-apache-log4j.i386 0:1.7.1-7.2.fc10 set to be updated                
---> Package ant-apache-bcel.i386 0:1.7.1-7.2.fc10 set to be updated                 
---> Package ant-apache-resolver.i386 0:1.7.1-7.2.fc10 set to be updated             
---> Package ant-junit.i386 0:1.7.1-7.2.fc10 set to be updated                       
---> Package ant-jdepend.i386 0:1.7.1-7.2.fc10 set to be updated                     
---> Package jetty.i386 0:5.1.14-1.6.fc10 set to be updated                          
---> Package ant-swing.i386 0:1.7.1-7.2.fc10 set to be updated                       
---> Package ant-apache-regexp.i386 0:1.7.1-7.2.fc10 set to be updated               
---> Package ant-jsch.i386 0:1.7.1-7.2.fc10 set to be updated                        
---> Package ant-apache-bsf.i386 0:1.7.1-7.2.fc10 set to be updated                  
---> Package ant-commons-logging.i386 0:1.7.1-7.2.fc10 set to be updated             
--> Running transaction check                                                        
---> Package eclipse-swt.i386 1:3.4.1-5.fc10 set to be updated                       
---> Package ant.i386 0:1.7.1-7.2.fc10 set to be updated                             
--> Processing Dependency: java-devel >= 1.5.0 for package: ant                      
--> Running transaction check                                                        
---> Package java-1.5.0-gcj-devel.i386 0:1.5.0.0-22.fc10 set to be updated           
--> Processing Dependency: eclipse-ecj >= 3.2.1 for package: java-1.5.0-gcj-devel    
--> Processing Dependency: gcc-java >= 4.1.2-5 for package: java-1.5.0-gcj-devel     
--> Processing Dependency: /usr/bin/gcj for package: java-1.5.0-gcj-devel            
--> Running transaction check                                                        
---> Package gcc-java.i386 0:4.3.2-7 set to be updated                               
---> Package eclipse-ecj.i386 1:3.4.1-5.fc10 set to be updated                       
--> Finished Dependency Resolution                                                   
DEBUG:                                                                               
[]                                                                                   

Dependencies Resolved

======================================================================================================================================================
 Package                                     Arch                        Version                                  Repository                     Size 
======================================================================================================================================================
Installing:                                                                                                                                           
 eclipse-platform                            i386                        1:3.4.1-5.fc10                           fedora                         26 M 
Installing for dependencies:                                                                                                                          
 ant                                         i386                        1.7.1-7.2.fc10                           fedora                        2.4 M 
 ant-antlr                                   i386                        1.7.1-7.2.fc10                           fedora                         32 k 
 ant-apache-bcel                             i386                        1.7.1-7.2.fc10                           fedora                         34 k 
 ant-apache-bsf                              i386                        1.7.1-7.2.fc10                           fedora                         26 k 
 ant-apache-log4j                            i386                        1.7.1-7.2.fc10                           fedora                         25 k 
 ant-apache-oro                              i386                        1.7.1-7.2.fc10                           fedora                         91 k 
 ant-apache-regexp                           i386                        1.7.1-7.2.fc10                           fedora                         25 k 
 ant-apache-resolver                         i386                        1.7.1-7.2.fc10                           fedora                         26 k 
 ant-commons-logging                         i386                        1.7.1-7.2.fc10                           fedora                         27 k 
 ant-commons-net                             i386                        1.7.1-7.2.fc10                           fedora                        107 k 
 ant-javamail                                i386                        1.7.1-7.2.fc10                           fedora                         33 k 
 ant-jdepend                                 i386                        1.7.1-7.2.fc10                           fedora                         42 k 
 ant-jsch                                    i386                        1.7.1-7.2.fc10                           fedora                         78 k 
 ant-junit                                   i386                        1.7.1-7.2.fc10                           fedora                        189 k 
 ant-nodeps                                  i386                        1.7.1-7.2.fc10                           fedora                        765 k 
 ant-swing                                   i386                        1.7.1-7.2.fc10                           fedora                         33 k 
 ant-trax                                    i386                        1.7.1-7.2.fc10                           fedora                         46 k 
 eclipse-ecj                                 i386                        1:3.4.1-5.fc10                           fedora                        4.2 M 
 eclipse-rcp                                 i386                        1:3.4.1-5.fc10                           fedora                        6.9 M 
 eclipse-swt                                 i386                        1:3.4.1-5.fc10                           fedora                        1.9 M 
 gcc-java                                    i386                        4.3.2-7                                  fedora                        3.1 M 
 java-1.5.0-gcj-devel                        i386                        1.5.0.0-22.fc10                          fedora                         46 k 
 jetty                                       i386                        5.1.14-1.6.fc10                          fedora                        1.6 M 

Transaction Summary
======================================================================================================================================================
Install     24 Package(s)                                                                                                                             
Update       0 Package(s)                                                                                                                             
Remove       0 Package(s)                                                                                                                             

Total download size: 48 M
Is this ok [y/N]: y      
Downloading Packages:    
(1/24): ant-apache-log4j-1.7.1-7.2.fc10.i386.rpm                                                                               |  25 kB     00:00     
(2/24): ant-apache-regexp-1.7.1-7.2.fc10.i386.rpm                                                                              |  25 kB     00:00     
http://fedora.mirror.iweb.ca/releases/10/Everything/i386/os/Packages/ant-apache-resolver-1.7.1-7.2.fc10.i386.rpm: [Errno 4] IOError: <urlopen error (-2, 'Name or service not known')>                                                                                                                      
Trying other mirror.                                                                                                                                  
(3/24): ant-apache-resolver-1.7.1-7.2.fc10.i386.rpm                                                                            |  26 kB     00:00     
(4/24): ant-apache-bsf-1.7.1-7.2.fc10.i386.rpm                                                                                 |  26 kB     00:00     
(5/24): ant-commons-logging-1.7.1-7.2.fc10.i386.rpm                                                                            |  27 kB     00:00     
(6/24): ant-antlr-1.7.1-7.2.fc10.i386.rpm                                                                                      |  32 kB     00:00     
(7/24): ant-swing-1.7.1-7.2.fc10.i386.rpm                                                                                      |  33 kB     00:00     
(8/24): ant-javamail-1.7.1-7.2.fc10.i386.rpm                                                                                   |  33 kB     00:00     
(9/24): ant-apache-bcel-1.7.1-7.2.fc10.i386.rpm                                                                                |  34 kB     00:00     
(10/24): ant-jdepend-1.7.1-7.2.fc10.i386.rpm                                                                                   |  42 kB     00:00     
(11/24): java-1.5.0-gcj-devel-1.5.0.0-22.fc10.i386.rpm                                                                         |  46 kB     00:00     
(12/24): ant-trax-1.7.1-7.2.fc10.i386.rpm                                                                                      |  46 kB     00:00     
(13/24): ant-jsch-1.7.1-7.2.fc10.i386.rpm                                                                                      |  78 kB     00:00     
(14/24): ant-apache-oro-1.7.1-7.2.fc10.i386.rpm                                                                                |  91 kB     00:00     
(15/24): ant-commons-net-1.7.1-7.2.fc10.i386.rpm                                                                               | 107 kB     00:00     
(16/24): ant-junit-1.7.1-7.2.fc10.i386.rpm                                                                                     | 189 kB     00:00     
(17/24): ant-nodeps-1.7.1-7.2.fc10.i386.rpm                                                                                    | 765 kB     00:03     
(18/24): jetty-5.1.14-1.6.fc10.i386.rpm                                                                                        | 1.6 MB     00:05     
(19/24): eclipse-swt-3.4.1-5.fc10.i386.rpm                                                                                     | 1.9 MB     00:06     
(20/24): ant-1.7.1-7.2.fc10.i386.rpm                                                                                           | 2.4 MB     00:07     
(21/24): gcc-java-4.3.2-7.i386.rpm                                                                                             | 3.1 MB     00:09     
(22/24): eclipse-ecj-3.4.1-5.fc10.i386.rpm                                                                                     | 4.2 MB     00:11     
(23/24): eclipse-rcp-3.4.1-5.fc10.i386.rpm                                                                                     | 6.9 MB     00:20     
(24/24): eclipse-platform-3.4.1-5.fc10.i386.rpm                                                                                |  26 MB     01:08     
------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                 331 kB/s |  48 MB     02:29     
Running rpm_check_debug                                                                                                                               
Running Transaction Test                                                                                                                              
Finished Transaction Test                                                                                                                             
Transaction Test Succeeded                                                                                                                            
Running Transaction                                                                                                                                   
  Installing     : eclipse-ecj                                                                                                                   1/24 
  Installing     : gcc-java                                                                                                                      2/24 
  Installing     : eclipse-swt                                                                                                                   3/24 
  Installing     : java-1.5.0-gcj-devel                                                                                                          4/24 
  Installing     : ant                                                                                                                           5/24 
  Installing     : ant-nodeps                                                                                                                    6/24 
  Installing     : ant-apache-bsf                                                                                                                7/24 
  Installing     : ant-jdepend                                                                                                                   8/24
  Installing     : ant-apache-resolver                                                                                                           9/24
  Installing     : ant-trax                                                                                                                     10/24
  Installing     : ant-apache-log4j                                                                                                             11/24
  Installing     : ant-commons-logging                                                                                                          12/24
  Installing     : ant-apache-oro                                                                                                               13/24
  Installing     : ant-jsch                                                                                                                     14/24
  Installing     : ant-apache-bcel                                                                                                              15/24
  Installing     : ant-antlr                                                                                                                    16/24
  Installing     : ant-commons-net                                                                                                              17/24
  Installing     : ant-javamail                                                                                                                 18/24
  Installing     : ant-apache-regexp                                                                                                            19/24
  Installing     : ant-junit                                                                                                                    20/24
  Installing     : ant-swing                                                                                                                    21/24
  Installing     : jetty                                                                                                                        22/24
  Installing     : eclipse-rcp                                                                                                                  23/24
  Installing     : eclipse-platform                                                                                                             24/24

Installed:
  eclipse-platform.i386 1:3.4.1-5.fc10

Dependency Installed:
  ant.i386 0:1.7.1-7.2.fc10                          ant-antlr.i386 0:1.7.1-7.2.fc10                  ant-apache-bcel.i386 0:1.7.1-7.2.fc10
  ant-apache-bsf.i386 0:1.7.1-7.2.fc10               ant-apache-log4j.i386 0:1.7.1-7.2.fc10           ant-apache-oro.i386 0:1.7.1-7.2.fc10
  ant-apache-regexp.i386 0:1.7.1-7.2.fc10            ant-apache-resolver.i386 0:1.7.1-7.2.fc10        ant-commons-logging.i386 0:1.7.1-7.2.fc10
  ant-commons-net.i386 0:1.7.1-7.2.fc10              ant-javamail.i386 0:1.7.1-7.2.fc10               ant-jdepend.i386 0:1.7.1-7.2.fc10
  ant-jsch.i386 0:1.7.1-7.2.fc10                     ant-junit.i386 0:1.7.1-7.2.fc10                  ant-nodeps.i386 0:1.7.1-7.2.fc10
  ant-swing.i386 0:1.7.1-7.2.fc10                    ant-trax.i386 0:1.7.1-7.2.fc10                   eclipse-ecj.i386 1:3.4.1-5.fc10
  eclipse-rcp.i386 1:3.4.1-5.fc10                    eclipse-swt.i386 1:3.4.1-5.fc10                  gcc-java.i386 0:4.3.2-7
  java-1.5.0-gcj-devel.i386 0:1.5.0.0-22.fc10        jetty.i386 0:5.1.14-1.6.fc10

Complete!

Test for missing packages:

$ for f in `rpm -qa | grep eclipse`; do rpm -qV $f; done
<comes back clean>

Now I run it again.

$ eclipse -debug -consoleLog
Start VM: -Xms40m                              
-Xmx512m                                       
-XX:MaxPermSize=128m                           
-XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith
-XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init>
-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate
-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding                   
-XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile    
-XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles       
-Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins                                  
-Djava.class.path=/usr/lib/eclipse/plugins/org.eclipse.equinox.launcher_1.0.101.R34x_v20080819.jar                
-os linux                                                                                                         
-ws gtk                                                                                                           
-arch x86                                                                                                         
-showsplash /usr/lib/eclipse//plugins/org.fedoraproject.ide.platform_3.4.1/splash.bmp                             
-launcher /usr/lib/eclipse/eclipse                                                                                
-name Eclipse                                                                                                     
--launcher.library /usr/lib/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.0.101.R34x_v20080805/eclipse_1115.so
-startup /usr/lib/eclipse/plugins/org.eclipse.equinox.launcher_1.0.101.R34x_v20080819.jar                                    
-debug                                                                                                                       
-consoleLog                                                                                                                  
-vm /usr/java/jre1.6.0_10/bin/../lib/i386/client/libjvm.so                                                                   
-vmargs                                                                                                                      
-Xms40m                                                                                                                      
-Xmx512m                                                                                                                     
-XX:MaxPermSize=128m                                                                                                         
-XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith                                     
-XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init>                        
-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate           
-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding                              
-XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile               
-XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles                  
-Dorg.eclipse.equinox.p2.reconciler.dropins.directory=/usr/share/eclipse/dropins                                             
-Djava.class.path=/usr/lib/eclipse/plugins/org.eclipse.equinox.launcher_1.0.101.R34x_v20080819.jar                           
CompilerOracle: exclude org/eclipse/core/internal/dtree/DataTreeNode.forwardDeltaWith                                        
CompilerOracle: exclude org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding.<init>                           
CompilerOracle: exclude org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates.instantiateTemplate              
CompilerOracle: exclude org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage.addBinding                                 
CompilerOracle: exclude org/python/pydev/editor/codecompletion/revisited/PythonPathHelper.isValidSourceFile                  
CompilerOracle: exclude org/python/pydev/ui/filetypes/FileTypesPreferencesPage.getDottedValidSourceFiles                     
Install location:                                                                                                            
    file:/usr/lib/eclipse/                                                                                                   
Configuration file:                                                                                                          
    file:/usr/lib/eclipse/configuration/config.ini loaded                                                                    
Configuration location:                                                                                                      
    file:/home/krlux/.eclipse/org.eclipse.platform_3.4.0_155965261/configuration/                                            
Configuration file:                                                                                                          
    file:/home/krlux/.eclipse/org.eclipse.platform_3.4.0_155965261/configuration/config.ini loaded                           
Shared configuration location:                                                                                               
    file:/usr/lib/eclipse/configuration/
Framework located:
    file:/usr/lib/eclipse/plugins/org.eclipse.osgi_3.4.2.R34x_v20080826-1230.jar
Framework classpath:
    file:/usr/lib/eclipse/plugins/org.eclipse.osgi_3.4.2.R34x_v20080826-1230.jar
Splash location:
    /usr/lib/eclipse//plugins/org.fedoraproject.ide.platform_3.4.1/splash.bmp
Debug options:
    file:/home/krlux/.options not found
Time to load bundles: 3
!SESSION 2008-12-04 12:05:37.542 -----------------------------------------------
eclipse.buildId=M20080911-1700
java.version=1.6.0_10
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_US
Command-line arguments:  -os linux -ws gtk -arch x86 -debug -consoleLog

!ENTRY org.eclipse.osgi 4 0 2008-12-04 12:05:37.777
!MESSAGE Application error
!STACK 1
java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:74)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:386)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
        at java.lang.reflect.Method.invoke(Unknown Source)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:549)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1236)

It still crashes, with the same error message.  This makes sense because it never ran clean from the very first installation. That is how I got started with the whole yum install/ remove cycle in the first place. 

FWIW, the eclipse.org eclipse install still runs fine. 

I appreciate the effort we are putting into this.  Thanks.
Comment 14 Andrew Overholt 2008-12-04 15:42:31 EST
Please paste the output of:

rpm -qV icu4j-eclipse tomcat5-jasper-eclipse

and again of:

for f in `rpm -qa | grep eclipse`; do rpm -qV $f; done
Comment 15 Linuxguy123 2008-12-04 15:57:02 EST
$ rpm -qV icu4j-eclipse tomcat5-jasper-eclipse
$ for f in `rpm -qa | grep eclipse`; do rpm -qV $f; done
$ 
no output from either command.
Comment 16 Andrew Overholt 2008-12-04 16:06:56 EST
Okay, so it looks like your installation is fine.  Now try this:

eclipse -clean -data /tmp/testnewworkspace

If that doesn't work, try:

mv ~/.eclipse{,.20081204bug474509}; eclipse -data /tmp/testnewnewworkspace
Comment 17 Linuxguy123 2008-12-04 16:51:47 EST
$eclipse -clean -data /tmp/testnewworkspace
CompilerOracle: exclude org/eclipse/core/internal/dtree/DataTreeNode.forwardDeltaWith
CompilerOracle: exclude org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding.<init>
CompilerOracle: exclude org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates.instantiateTemplate
CompilerOracle: exclude org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage.addBinding
CompilerOracle: exclude org/python/pydev/editor/codecompletion/revisited/PythonPathHelper.isValidSourceFile
CompilerOracle: exclude org/python/pydev/ui/filetypes/FileTypesPreferencesPage.getDottedValidSourceFiles


From the log file:
!SESSION 2008-12-04 14:44:36.099 -----------------------------------------------
eclipse.buildId=M20080911-1700
java.version=1.6.0_10
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_US
Command-line arguments:  -os linux -ws gtk -arch x86 -clean -data /tmp/testnewworkspace

!ENTRY org.eclipse.osgi 4 0 2008-12-04 14:44:36.545
!MESSAGE Application error
!STACK 1
java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:74)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:386)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:549)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1236)
Comment 18 Linuxguy123 2008-12-04 16:55:22 EST
mv ~/.eclipse{,.20081204bug474509}; eclipse -data /tmp/testnewnewworkspace
CompilerOracle: exclude org/eclipse/core/internal/dtree/DataTreeNode.forwardDeltaWith
CompilerOracle: exclude org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding.<init>
CompilerOracle: exclude org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates.instantiateTemplate
CompilerOracle: exclude org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage.addBinding
CompilerOracle: exclude org/python/pydev/editor/codecompletion/revisited/PythonPathHelper.isValidSourceFile
CompilerOracle: exclude org/python/pydev/ui/filetypes/FileTypesPreferencesPage.getDottedValidSourceFiles

THIS WORKED.  I can't believe it. 

So what is the problem ?
Comment 19 Andrew Overholt 2008-12-04 17:01:16 EST
Your first problems were that you had a messed up installation.  Once that was fixed, there was something messed up in ~/.eclipse.  I'm not sure what.

Should we close this?
Comment 20 Linuxguy123 2008-12-04 17:45:42 EST
I think some things should be investigated.

a) the eclipse from eclipse.org ran just fine with the ~/.eclipse directory.  I never had a single issue with it.

I am pretty sure that I didn't mess up the initial installation of the Fedora Eclipse.  Its pretty hard to mess up "yum install eclipse-cdt".  The problem all along was that the Fedora app wouldn't run with the ~/.eclipse from version 3.2.

What makes the Fedora eclipse not work with the same ~/.eclipse that the eclipse.org works with ?  I think this should be investigated.

b) I would make it so that uic4j-eclipse and tomcat5-apache-eclipse get uninstalled if eclipse gets uninstalled and they aren't needed for anything else.  This is what happens with ant, right ?
 
c) I had this thought after our <offline> conversations about how Fedora packages Eclipse components into rpms when Eclipse.org ships it as a tarball of files:  how is the Fedora eclipse installation supposed to co exist with downloads from Eclipse.org ?

For example, I could install Fedora eclipse and then (as root?) go to  Help-> Software Updates -> Available Software and install (non yum/rpm compliant) stuff to my hearts content.  At that point one would have a truly contaminated installation... the yum/rpm installation is no longer correct and the upgrades being installed were expecting an eclipse.org install, not a Fedora install.  There are subtle differences, especially if updates with a mixture of yum and eclipse.org downloads. 

I think this explains some of the problems that I have experienced over the years trying to run Fedora's eclipse.   I have always had problems with it and yet I've always had good success with the Eclipse.org install. 

It seems very risky to mix the Fedora install with downloaded Eclipse.org packages.  Am I right ?
Comment 21 Linuxguy123 2008-12-04 17:48:30 EST
I think I could recreate the ./eclipse directory I had when I installed the Fedora eclipse in F10.

I backed it up a while back.  I could swap in the old ./eclipse directory and see if the <now running> Fedora eclipse will run. 

Is it worth it ?
Comment 22 Andrew Overholt 2008-12-04 18:19:14 EST
(In reply to comment #20)
> a) the eclipse from eclipse.org ran just fine with the ~/.eclipse directory.  I
> never had a single issue with it.

The eclipse.org instance doesn't know anything about ~/.eclipse.

> the Fedora app wouldn't run with the ~/.eclipse from version
> 3.2.

I'm 99% sure this isn't supported upstream (moving configuration areas between major versions) as they don't support upgrades across major versions (but they do support keeping workspaces around).  That being said, the directory in ~/.eclipse should have the major version (3.2.0 vs. 3.4.0) in its name so the old one shouldn't have been read.

> b) I would make it so that uic4j-eclipse and tomcat5-apache-eclipse get
> uninstalled if eclipse gets uninstalled and they aren't needed for anything
> else.  This is what happens with ant, right ?

This is something that is unrelated to Eclipse.  You're thinking of something that I've heard yum people talk about.  I think Seth blogged about it at one point.

> For example, I could install Fedora eclipse and then (as root?) go to  Help->
> Software Updates -> Available Software and install (non yum/rpm compliant)
> stuff to my hearts content. At that point one would have a truly contaminated
> installation... the yum/rpm installation is no longer correct and the upgrades
> being installed were expecting an eclipse.org install, not a Fedora install. 
> There are subtle differences, especially if updates with a mixture of yum and
> eclipse.org downloads. 
> 
> I think this explains some of the problems that I have experienced over the
> years trying to run Fedora's eclipse.   I have always had problems with it and
> yet I've always had good success with the Eclipse.org install. 
> 
> It seems very risky to mix the Fedora install with downloaded Eclipse.org
> packages.  Am I right ?

You are correct.  You can install things using the update manager from within Eclipse as a regular user and those JARs, etc. will get downloaded into ~/.eclipse somewhere (you shouldn't care where :) and they will Just Work.  If you want to install things on top of Fedora Eclipse, use the update manager and it should work.  Don't do things like *update* what you installed as RPM using the Eclipse update manager -- do that with yum :)

Don't worry about sending your ~/.eclipse.  I've got plenty of corrupt ones I can play with :)

Thanks for your persistence on this.
Comment 23 Linuxguy123 2008-12-04 21:54:14 EST
"The eclipse.org instance doesn't know anything about ~/.eclipse."

I didn't realize that.  I guess we could say that the Fedora instance couldn't handle the existing 3.2 ~/.eclipse dir.  I'm not sure if it should or not.  Maybe something should be added to the release notes about this.


==========================================================================
Quote:

> b) I would make it so that uic4j-eclipse and tomcat5-apache-eclipse get
> uninstalled if eclipse gets uninstalled and they aren't needed for anything
> else.  This is what happens with ant, right ?

This is something that is unrelated to Eclipse.  You're thinking of something
that I've heard yum people talk about.  I think Seth blogged about it at one
point.
=========================================================================

I'll leave this with you to discuss with him...



========================================================================
Quote:
You are correct.  You can install things using the update manager from within
Eclipse as a regular user and those JARs, etc. will get downloaded into
~/.eclipse somewhere (you shouldn't care where :) and they will Just Work.  
==========================================================================

WOW.  I had no idea.  I never really looked in that dir.  I thought everything was somehow installed in /usr/lib.  I never really thought about it. 


==========================================================================
Quote:
If you want to install things on top of Fedora Eclipse, use the update manager and
it should work.  Don't do things like *update* what you installed as RPM using
the Eclipse update manager -- do that with yum :)
========================================================================

That requires a bit of knowledge and consciousness on the part of the user.  Its very easy to accidentally select a package and update it, especially if one has a lot of packages installed.

I think it would be well worth it for someone to write up an explanation of a few things for Fedora eclipse users:

a) prior ~/.eclipse directories should be removed before backing up

b) yum remove eclipse/* doesn't remove all the files in /usr/lib/eclipse and /usr/share/eclipse and therefore users should not remove these dirs willy nilly.

c) ~/.eclipse holds packages downloaded from eclipse.org.  It is as essential as the /usr/lib/eclipse directory. 

d) one must be careful not to download eclipse.org package updates for packages that were originally installed via yum. 

This information would have helped me many times over. 

Note for readers:  If you are experiencing the bug first discussed, here are the steps for troubleshooting:

a) check that your installation is complete.
$for f in `rpm -qa | grep eclipse`; do rpm -qV $f; done

b) if you are running a prior version of eclipse, back up the ~/.eclipse directory and remove it.  

c) be aware of the things I discussed in this post above. 

Thanks for your help with this, Andrew.  Good work.
Comment 24 Andrew Overholt 2008-12-08 11:15:36 EST
(In reply to comment #23)
> "The eclipse.org instance doesn't know anything about ~/.eclipse."
> 
> I didn't realize that.  I guess we could say that the Fedora instance couldn't
> handle the existing 3.2 ~/.eclipse dir.  I'm not sure if it should or not. 
> Maybe something should be added to the release notes about this.

It should have handled the older 3.2 directory in ~/.eclipse because it wouldn't read it :)  I tested this and it worked.  The thing to note here is that upstream's release 1) has no idea about anything outside of its unzipped location and 2) doesn't support in-place upgrades from one major version to the next.

> ========================================================================
> Quote:
> You are correct.  You can install things using the update manager from within
> Eclipse as a regular user and those JARs, etc. will get downloaded into
> ~/.eclipse somewhere (you shouldn't care where :) and they will Just Work.  
> ==========================================================================
> 
> WOW.  I had no idea.  I never really looked in that dir.  I thought everything
> was somehow installed in /usr/lib.  I never really thought about it. 

Regular users can't write to /usr :)

> ==========================================================================
> Quote:
> If you want to install things on top of Fedora Eclipse, use the update manager
> and
> it should work.  Don't do things like *update* what you installed as RPM using
> the Eclipse update manager -- do that with yum :)
> ========================================================================
> 
> That requires a bit of knowledge and consciousness on the part of the user. 

Only if the person is mixing the notion of RPM and application upgrades.

> I think it would be well worth it for someone to write up an explanation of a
> few things for Fedora eclipse users:

I'd be very receptive to you writing this on the Fedora wiki.

> a) prior ~/.eclipse directories should be removed before backing up

Sure, but only required if there are startup issues.  Which of course there shouldn't be :)

> b) yum remove eclipse/* doesn't remove all the files in /usr/lib/eclipse and
> /usr/share/eclipse and therefore users should not remove these dirs willy
> nilly.

One should check with rpm -qf when removing directories.

> c) ~/.eclipse holds packages downloaded from eclipse.org.  It is as essential
> as the /usr/lib/eclipse directory. 

It only holds jars of plugins you've installed using the update manager *if* you've done this.  It is a cache directory for settings, etc. otherwise.

Thanks again.

Note You need to log in before you can comment on or make changes to this bug.